%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           tryton
Version:        1.0.9
Release:        1%{?dist}
Summary:        Client for the Tryton application framework

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://www.tryton.org
Source0:        http://downloads.tryton.org/1.0/%{name}-%{version}.tar.gz
Source10:       %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools desktop-file-utils
Requires:       pygtk2 mx pyOpenSSL pytz


%description
This is client for the Tryton application framework. The server can be found
in the trytond package.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install --vendor=fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        %{SOURCE10}

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGELOG COPYRIGHT INSTALL LICENSE README TODO
%{_bindir}/%{name}
%{python_sitelib}/*
%{_datadir}/pixmaps/%{name}-*.svg
%{_datadir}/pixmaps/%{name}*.png
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Thu Apr  1 2010 Dan Horák <dan[at]danny.cz> 1.0.9-1
- update to upstream version 1.0.9

* Mon Feb 22 2010 Dan Horák <dan[at]danny.cz> 1.0.8-1
- update to upstream version 1.0.8

* Sat Nov 28 2009 Dan Horák <dan[at]danny.cz> 1.0.7-1
- update to upstream version 1.0.7

* Mon Aug 31 2009 Dan Horák <dan[at]danny.cz> 1.0.6-1
- update to upstream version 1.0.6

* Fri Jul 10 2009 Dan Horák <dan[at]danny.cz> 1.0.5-1
- update to upstream version 1.0.5

* Fri Mar  6 2009 Dan Horák <dan[at]danny.cz> 1.0.3-1
- update to upstream version 1.0.3

* Wed Jan  7 2009 Dan Horák <dan[at]danny.cz> 1.0.2-1
- update to upstream version 1.0.2

* Mon Dec 29 2008 Dan Horák <dan[at]danny.cz> 1.0.1-2
- set vendor for the desktop file
- improve Description

* Mon Dec  1 2008 Dan Horák <dan[at]danny.cz> 1.0.1-1
- update to upstream version 1.0.1

* Fri Nov 28 2008 Dan Horák <dan[at]danny.cz> 1.0.0-1
- initial Fedora version
